use github.com/zzamboni/elvish-modules/alias

#fn pacman [@_args]{
#  if (and (== (count $_args) 0) (has-value [-S -Sy -Syu -Syyu -Su -Suu] $_args[0])) {
#    mirror-check --fast
#  }
#  e:pacman $@_args
#}

alias:new cat bat -pp
alias:new midi e:fluidsynth -a pulseaudio /usr/share/soundfonts/FluidR3_GM.sf2
alias:new timidity e:timidity -a -K -1
alias:new git e:hub
alias:new dig e:dig +noall +answer

#alias:new pacmanhisto cat /var/log/pacman.log | grep "ALPM" | grep
alias:new pf e:pkgfile -vri

alias:new trsen e:rlwrap trans -b -t en
alias:new trsfr e:rlwrap trans -b -t fr

alias:new youtube-dl e:youtube-dl --no-check-certificate
alias:new youtube_audio youtube-dl -x --audio-format best

#alias:new history edit:command-history

alias:new cp e:cp -iv
alias:new mv e:mv -iv
alias:new rm e:rm -Iv

@argls = -N --color=auto --group-directories-first --ignore=lost+found '--time-style=+"%Y.%m.%d %H:%M"' --indicator-style=classify
#alias:new br e:broot -dp
alias:new tree e:tree -puhC --dirsfirst --du -D
alias:new ls e:ls $@argls
alias:new la e:ls -a $@argls
alias:new ll e:ls -lh $@argls
alias:new lla e:ls -la $@argls

alias:new df e:df -h
alias:new du e:du -h

alias:new diff e:colordiff
alias:new grep e:grep --color=tty -d skip

alias:new vi e:vim
alias:new vv e:vim -R
alias:new vb e:vim ~/.bashrc
alias:new vf e:vim ~/.config/config.fish
alias:new vz e:vim ~/.zshrc
alias:new vc e:vim ~/.vimrc
alias:new vp e:vim PKGBUILD

fn export []{ alias:export }



