use github.com/muesli/elvish-libs/theme/powerline
powerline:prompt-pwd-dir-length = 0
powerline:timestamp-format = "%Y.%m.%d %H:%M"

#edit:prompt={
#	put "┌─"(styled "["(date "+%d.%m.%Y %H:%M")"]" yellow bold); put " --- "(styled "["(pwd)"]" blue bold)
#	#echo "\n"
#	put "\n└─"(styled "["(whoami)"@"(hostname) green bold);put ' > '
#	#put "┌─";edit:styled "["(date "+%d.%m.%Y %H:%M")"]" [yellow bold]; put " --- ";edit:styled "["(pwd)"]" [blue bold]
#	##echo "\n"
#	#put "\n└─";edit:styled "["(whoami)"@"(hostname) [green bold];put ' > '
#}

#use github.com/zzamboni/elvish-modules/alias
#-exports- = (alias:export)

fn whichall [@a]{
	each [p]{
		each [f]{
			try {
				ll $p/$f 2>/dev/null
			} except e {
			}
		} $a
	} $paths
}

fn ++ [n]{ to-string (+ $n 1) }
fn -- [n]{ to-string (- $n 1) }

notify-bg-job-success = $false

use moi/aliases

use github.com/zzamboni/elvish-completions/builtins
use github.com/zzamboni/elvish-completions/git
git:git-command = hub
git:init
use github.com/zzamboni/elvish-completions/cd
use github.com/zzamboni/elvish-completions/ssh

use github.com/xiaq/edit.elv/compl/go

use moi/completion
-source ~/.elvish/lib/moi/util.elv

edit:insert:binding[Tab] = { edit:completion:smart-start } #; edit:navigation:trigger-filter }

set-env GOPATH ~/Go
set-env PAGER 'bat -p'
set-env EDITOR vim
set-env VIEW 'vim -R'
paths = [$@paths ~/bin $E:GOPATH/bin ]

-exports- = (aliases:export)

fn dcd [@_args]{
  use str
  cmd = (aliases:export); $cmd[br~] --only-folders --cmd (str:join ' ' $_args)' :cd'
}

tache search -d 2w not del

